> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cloud Defender configuration

> Get a Cloud Defender configuration from the Web Application.

You can retrieve only a Cloud Defender configuration for an organization you can manage.



## OpenAPI

````yaml get /api/v1/cloud-defender/{id}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/cloud-defender/{id}:
    get:
      tags:
        - cloud-defender
      description: >-
        Get a Cloud Defender configuration from the Web Application.


        You can retrieve only a Cloud Defender configuration for an organization
        you can manage.
      operationId: cloud_defender_retrieve_2
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                        description: Cloud Defender unique identifier.
                        minimum: 1
                        examples:
                          - 2
                          - 4
                          - 6
                      organization:
                        type: object
                        properties:
                          id:
                            type: number
                            examples:
                              - 5
                              - 10
                              - 15
                            description: Unique identifier for the Organization.
                          name:
                            type: string
                            examples:
                              - Sample Organization
                              - My Organization
                            description: Organization common name.
                          logo:
                            type: string
                            format: uri
                            examples:
                              - https://sample.com/logo.svg
                              - https://my.organization.com/logo.png
                            description: Organization logo URL.
                      email:
                        type: string
                        format: email
                        examples:
                          - johndoe@mail.com
                          - jsmith@example.com
                        description: >-
                          Email address of the technical point of contact
                          responsible for managing and overseeing the security
                          aspects of your organization's devices. This email
                          will be used for communication related to security
                          alerts, updates, and important notifications.
                      fqdn:
                        type: string
                        format: hostname
                        examples:
                          - sample.com
                          - lorem.ipsum
                        description: >-
                          (Fully Qualified Domain Name) is your web application
                          domain name.
                      check:
                        type: object
                        properties:
                          stat:
                            type: object
                            properties:
                              fqdn:
                                type: integer
                                description: If `1` indicates FQDN service is Active.
                                minimum: 0
                                maximum: 1
                                examples:
                                  - 1
                                  - 0
                              proxy:
                                type: integer
                                description: If `1` indicates Proxy service is Active.
                                minimum: 0
                                maximum: 1
                                examples:
                                  - 1
                                  - 0
                              endpoint:
                                type: integer
                                description: If `1` indicates Endpoint service is Active.
                                minimum: 0
                                maximum: 1
                                examples:
                                  - 1
                                  - 0
                              datetime:
                                type: string
                                format: date-time
                                description: >-
                                  Latest timestamp this `stat` object has been
                                  updated.
                          status:
                            type: integer
                            description: Indicates if all services are up and running.
                            minimum: 0
                            maximum: 1
                            examples:
                              - 1
                              - 0
                          web_stat:
                            type: array
                            description: |-
                              Contains historic data about Cloud Defender.  
                              Resolution is one Hour.
                            items:
                              type: object
                              properties:
                                datetime:
                                  type: string
                                  format: date-time
                                waf_protection:
                                  type: number
                                  description: >-
                                    Total blocked requests in the time elapsed
                                    from this object datetime and the one
                                    immediately before.
                                  minimum: 0
                                  examples:
                                    - 50
                                    - 100
                                    - 150
                                total_managed_requests:
                                  type: number
                                  description: >-
                                    Total requests in the time elapsed from this
                                    object datetime and the one immediately
                                    before.
                                  minimum: 0
                                  examples:
                                    - 200
                                    - 300
                                    - 400
                      endpoint:
                        type: string
                        format: ipv4
                        description: Web application exposed interface address.
                        examples:
                          - 11.22.33.44
                          - 80.90.100.110
                      services:
                        type: array
                        description: Enabled services for this Cloud Defender
                        items:
                          type: string
                          description: The enabled service.
                          enum:
                            - Caching
                            - DDoS
                            - OneFirewall
                            - WAF
                          examples:
                            - Caching
                            - DDoS
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````